Owners By Contract
GET
/v3/{apiKey}/getOwnersForContract
getOwnersForContract - Retrieves all owners associated with a specific NFT contract. This endpoint is supported on Ethereum and many L2s, including Polygon, Arbitrum, Optimism, Base, World Chain and more. See the full list of supported networks here.
Path Parameters
apiKeystringrequireddefaults to docs-demoFor higher throughput, create your own API key
Query Parameters
contractAddressstringrequireddefaults to 0x495f947276749ce646f68ac8c248420045cb7b5eString - Contract address for the NFT contract (ERC721 and ERC1155 supported).
withTokenBalancesbooleandefaults to falseBoolean - If set to true the query will include the token balances per token id for each owner. false by default.
pageKeystringString - used for contracts with >50,000 owners. pageKey field can be passed back as request parameter to get the next page of results.
Responses
200
Returns a list of all owners for the specified contract.
Was this page helpful?